<?php
/*
Plugin Name: Share on Orkut
Plugin URI: http://gaut.am/wordpress/plugins/share-on-orkut/
Description: The plugin adds a "Share on Orkut" button at the end of each post.
Version: 0.1
Author: Gautam
Author URI: http://gaut.am/

	Original Share on Orkut Copyright 2009 Gautam (email: admin@gaut.am) (website: http://gaut.am)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*
 * Main PHP File for
 * Share on Orkut Plugin
 * (for WordPress) by www.gaut.am
 */

/* TODO: Admin Page, so that you don't have to hunt into the source code! */

if ( !defined('WP_CONTENT_URL') ) {
	define('SOO_PLUGPATH', get_option('siteurl').'/wp-content/plugins/'.plugin_basename(dirname(__FILE__)).'/');
} else {
	define('SOO_PLUGPATH', WP_CONTENT_URL.'/plugins/'.plugin_basename(dirname(__FILE__)).'/');
}
define('SOO_VER', '0.1');

function share_on_orkut_script($summary = '', $id = 'orkut-share', $return = 1) {
	//tests on summary
	$summary = trim(addslashes(trim(strip_tags(strip_shortcodes($summary)))));
	if($summary && strlen($summary) > 90) {
		$summary = substr($summary, 0, 87)."...";
	}
	//make code and return/echo
	$r =    "\n\n<!-- Start Of Code Generated By Share on Orkut Plugin by www.Gaut.am -->\n".
		"<script type=\"text/javascript\" src=\"http://www.google.com/jsapi\"></script>\n".
		"<script type=\"text/javascript\">\n".
		"	google.load('orkut.share', '1');\n".
		"	google.setOnLoadCallback(function() {\n".
		"		var params = {};\n".
		"		params[google.orkut.share.Field.CONTENT] = '$summary'\n".
		"		var connection = new google.orkut.share.Connection(params);\n".
		"		document.getElementById('$id').onclick =\n".
		"			function(e) { connection.send('orkut.com', {}); };\n".
		"	}, true);\n".
		"</script>\n".
		"<!-- End Of Code Generated By Share on Orkut Plugin by www.Gaut.am -->\n\n";
	if($return){
		return $r;
	}else{
		echo $r;
	}
}

function share_on_orkut_head(){
	global $post;
	if(is_singular() && $post && (get_post_meta($post->ID, 'no_orkut_share', true) != 1)){
		//get script and echo
		echo share_on_orkut_script($post->post_content);
	}
}
add_action('wp_head', 'share_on_orkut_head', 2);

function share_on_orkut_button($id = 'orkut-share', $imgfile = 'share.gif', $return = 1) {
	$img = SOO_PLUGPATH.$imgfile;
	//make code and return/echo
	$r = "<div id=\"$id\" align=\"center\" style=\"clear:both;padding-top:5px;\"><img src=\"".$img."\" alt=\"Share this on Orkut!\" title=\"Share this on Orkut!\" style=\"border:medium none;cursor:pointer;\"></div>";
	if($return){
		return $r;
	}else{
		echo $r;
	}
}

function share_on_orkut($content){
	global $post;
	if(is_singular() && $post && (get_post_meta($post->ID, 'no_orkut_share', true) != 1)){
		//get button and return
		$r = share_on_orkut_button();
		return $content.$r;
	}else{
		return $content;
	}
}
add_filter('the_content', 'share_on_orkut', -999999999);

?>
